﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolTip;

namespace WindowsFormsApplication336
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.AllowRecurringAppointments = true;
            
        }

        Appointment dailyAppt;
        private void ultraButton1_Click(object sender, EventArgs e)
        {
            DateTime dt = DateTime.Now;
            DateTime endDt = dt.AddMinutes(1);
            dailyAppt = this.ultraCalendarInfo1.Appointments.Add(dt, endDt, "");
            Appointment app = new Appointment(DateTime.Now, DateTime.Now.AddHours(1));
            dailyAppt.Recurrence = new AppointmentRecurrence();

            dailyAppt.Recurrence.PatternFrequency = RecurrencePatternFrequency.Daily;

            dailyAppt.Recurrence.PatternDaysOfWeek = RecurrencePatternDaysOfWeek.AllWeekdays;

            dailyAppt.Subject = "Occurs every weekday";
            ultraCalendarInfo1.Appointments.Add(app);
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            Console.WriteLine(dailyAppt.IsVariance);
            dailyAppt.Appearance.BackColor = Color.Red;
            Console.WriteLine(dailyAppt.IsVariance);
        }

        private void ultraDayView1_BeforeAppointmentToolTipDisplayed(object sender, BeforeAppointmentToolTipDisplayedEventArgs e)
        {
            
        }

        private void ultraDayView1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is EditorWithTextDisplayTextUIElement)
            {
                UltraToolTipInfo info = new UltraToolTipInfo("VERY LONG TEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEXT", ToolTipImage.Info, "TITLE", DefaultableBoolean.True);
                ultraToolTipManager1.SetUltraToolTip(ultraDayView1, info);
                ultraToolTipManager1.ShowToolTip(ultraDayView1, new Rectangle(0,0,10,10));
            }
            else ultraToolTipManager1.HideToolTip();
        }
    }
}
